#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 pandoc-lua-marshal
version:              0.2.6
visibility:           public
id:                   pandoc-lua-marshal-0.2.6-7g1zILt4xf8AgDUg9GoOnT
key:                  pandoc-lua-marshal-0.2.6-7g1zILt4xf8AgDUg9GoOnT
license:              MIT
copyright:            © 2017-2024 Albert Krewinkel, John MacFarlane
maintainer:           Albert Krewinkel <albert@zeitkraut.de>
author:               Albert Krewinkel, John MacFarlane
homepage:             https://github.com/pandoc/pandoc-lua-marshal
synopsis:             Use pandoc types in Lua
description:
    This package provides functions to marshal and unmarshal
    pandoc document types to and from Lua.

    The values of most types are pushed to pandoc as "userdata"
    objects that wrap a stable pointer to the Haskell value;
    these objects come with methods to access and modify their
    properties.

    Sequences are pushed as normal Lua tables, but are
    augmented with convenience functions.

category:             Foreign
abi:                  379e729e0202ecf8cf45c4b66d779869
exposed:              True
exposed-modules:
    Text.Pandoc.Lua.Marshal.AST Text.Pandoc.Lua.Marshal.Alignment
    Text.Pandoc.Lua.Marshal.Attr Text.Pandoc.Lua.Marshal.Block
    Text.Pandoc.Lua.Marshal.Cell Text.Pandoc.Lua.Marshal.Citation
    Text.Pandoc.Lua.Marshal.CitationMode
    Text.Pandoc.Lua.Marshal.Content Text.Pandoc.Lua.Marshal.Filter
    Text.Pandoc.Lua.Marshal.Format Text.Pandoc.Lua.Marshal.Inline
    Text.Pandoc.Lua.Marshal.List Text.Pandoc.Lua.Marshal.ListAttributes
    Text.Pandoc.Lua.Marshal.MathType Text.Pandoc.Lua.Marshal.MetaValue
    Text.Pandoc.Lua.Marshal.Pandoc Text.Pandoc.Lua.Marshal.QuoteType
    Text.Pandoc.Lua.Marshal.Row Text.Pandoc.Lua.Marshal.SimpleTable
    Text.Pandoc.Lua.Marshal.TableFoot Text.Pandoc.Lua.Marshal.TableHead
    Text.Pandoc.Lua.Marshal.TableParts

hidden-modules:
    Text.Pandoc.Lua.Marshal.Shared Text.Pandoc.Lua.Topdown
    Text.Pandoc.Lua.SpliceList Text.Pandoc.Lua.Walk

import-dirs:          /usr/lib/ghc-9.8.2/site-local/pandoc-lua-marshal-0.2.6
library-dirs:         /usr/lib/ghc-9.8.2/site-local/pandoc-lua-marshal-0.2.6
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/pandoc-lua-marshal-0.2.6
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/pandoc-lua-marshal-0.2.6
hs-libraries:         HSpandoc-lua-marshal-0.2.6-7g1zILt4xf8AgDUg9GoOnT
depends:
    aeson-2.2.1.0-4pa7z8wb2ac2tkW2gC8FY5 base-4.19.1.0-inplace
    bytestring-0.12.1.0-inplace containers-0.6.8-inplace
    exceptions-0.10.7-inplace hslua-2.3.1-2G1m1TXUJu1CZwGgM6nqGO
    hslua-list-1.1.1-Lt4ikAtZKZbJWnD2kn88Sd
    hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
    pandoc-types-1.23.1-L1XW59Pw0X3JEoULqn62Bu
    safe-0.3.21-6ixSGbBKIm94gAu2Mno2fr text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/pandoc-lua-marshal-0.2.6/html/pandoc-lua-marshal.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/pandoc-lua-marshal-0.2.6/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

